Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::PlayerArgs Class Reference

Inherits Object.

## Public Member Functions
| PlayerArgs ()
| Constructor.
| PlayerArgs (const pdf::PDFDoc &doc, const pdf::annots::Screen &screen_annot, const pdf::Rendition &rendition, const wchar_t *URL, const wchar_t *audio_format, const MediaSettings &player_settings)
| Constructor, with parameters. More...
| PlayerArgs (const PlayerArgs &player_args)
| Constructor, with another player args object. More...
PlayerArgs & | operator= (const PlayerArgs &player_args)
| Assign operator. More...
void | Set (const pdf::PDFDoc &doc, const pdf::annots::Screen &screen_annot, const pdf::Rendition &rendition, const wchar_t *URL, const wchar_t *audio_format, const MediaSettings &player_settings)
| Set values. More...

## Public Attributes
WString | audio_format
| The audio format, such as "audio/wav".
pdf::PDFDoc | doc
| The PDFDoc object of the document. More...
MediaSettings | player_settings
| A MediaSettings object.
pdf::Rendition | rendition
| A pdf::Rendition object (either a MediaRendition or a RenditionList). More...
pdf::annots::Screen | screen_annot
| A pdf::annots::Screen object. More...
WString | URL
| Either URL or rendition is required, with URL taking precedence.

## Detailed Description

This class represents player args.

## Constructor & Destructor Documentation

## ◆ PlayerArgs() [1/2]

foxit::PlayerArgs::PlayerArgs | ( | const pdf::PDFDoc & | doc,
|  | const pdf::annots::Screen & | screen_annot,
|  | const pdf::Rendition & | rendition,
|  | const wchar_t * | URL,
|  | const wchar_t * | audio_format,
|  | const MediaSettings & | player_settings
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A pdf::annots::Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A pdf::Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

## ◆ PlayerArgs() [2/2]

foxit::PlayerArgs::PlayerArgs | ( | const PlayerArgs & | player_args | ) |
| inline

Constructor, with another player args object.

Parameters

  [in] | player_args | Another player args object.

## Member Function Documentation

## ◆ operator=()

PlayerArgs& foxit::PlayerArgs::operator= | ( | const PlayerArgs & | player_args | ) |
| inline

Assign operator.

Parameters

  [in] | player_args | Another player args object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::PlayerArgs::Set | ( | const pdf::PDFDoc & | doc,
|  | const pdf::annots::Screen & | screen_annot,
|  | const pdf::Rendition & | rendition,
|  | const wchar_t * | URL,
|  | const wchar_t * | audio_format,
|  | const MediaSettings & | player_settings
| ) |  |
| inline

Set values.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A pdf::annots::Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A pdf::Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

Returns
  None.

## Member Data Documentation

## ◆ doc

pdf::PDFDoc foxit::PlayerArgs::doc

The PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

## ◆ rendition

pdf::Rendition foxit::PlayerArgs::rendition

A pdf::Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

## ◆ screen_annot

pdf::annots::Screen foxit::PlayerArgs::screen_annot

A pdf::annots::Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.